<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title>Homework</title>
</head>

<body>
  <button id="btnStart">Start</button>
  <button id="btnPause">Pause</button>
  <button id="btnReset">Reset</button>
  <button id="btnReverce">Reverce</button>
  <div style="background-color:lightblue">
    <h1 id="counter"></h1>
  </div>

  <!--
        Создайте счетчик секунд, который начинает отчет с 1 и заканчивается на 30,
        также добавьте кнопки который останавливают отчет, и запускают его заново и добавьте кнопку обнуляющую отчет.
        Также попробуйте изменить код так чтобы отчет начиналься с 30 и заканчивалься на 1.

       + бонус: Сделать так что бы на каждый тик (1с/2c) менялся цвет фона. Можно на основе генератора случайного цвета с предудущих уроков.
       + бонус: Сделать визуализацию стрелки которая идет по кругу
            document.getElementById("myDIV").style.transform = "rotate(7deg)";

       + бонус: Сделать кнопки которые выбирают режим в котором идет отсчет - обычный от 0 до 30 или реверсивный от 30 до 0
      -->
  <script>
    const btnStart = document.getElementById("btnStart");
    btnStart.addEventListener("click", startTimer);
    const btnPause = document.getElementById("btnPause");
    btnPause.addEventListener("click", pauseTimer);
    const btnReverce = document.getElementById("btnReverce");
       btnReverce.addEventListener("click", reverseTimer);
    const btnReset = document.getElementById("btnReset");
    btnReset.addEventListener("click", resetTimer);
    const txtCounter = document.getElementById("counter");

    const MINPOINT = 0;
    const MAXPOINT = 30;
    const STEP = 1000;
    let counter = 0;
    let reverse = 1;
    let timerObj = null;

    function startTimer() {
      timerObj = setInterval(
        function(){
        counter += reverse;
        block();
        showTimer();
        }, STEP
      )
    }

    function pauseTimer() {
      clearInterval(timerObj);

    }

    function resetTimer() {
      counter = 0;
    }

    function reverseTimer() {
      reverse = -reverse;
    }

    function block(){
      if(counter > MAXPOINT | counter <= MINPOINT ){
        pauseTimer();
        resetTimer()
      }
    }

    function showTimer() {
      txtCounter.innerText = counter;
    }
  </script>
</body>

</html>
